Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-8443

puppet_agent still tries to manage the mcollective service under non-PE puppet6

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: puppet_agent
    • Labels:
      None
    • QA Risk Assessment:
      Needs Assessment

      Description

      When attempting to upgrade puppet 6 using the puppet_agent module in an open source context (that is, only outside of PE), the module still attempts to manage the mcollective service. mcollective was removed in puppet 6 and it should be removed from the list of managed services as appropriate. Locations of interest:

      List of managed services is created here: https://github.com/puppetlabs/puppetlabs-puppet_agent/blob/master/manifests/params.pp#L36

      Those services are managed by the service class here: https://github.com/puppetlabs/puppetlabs-puppet_agent/blob/master/manifests/service.pp

      FOSS is affected here: https://github.com/puppetlabs/puppetlabs-puppet_agent/blob/master/manifests/init.pp#L177

        Attachments

          Activity

            People

            • Assignee:
              casey.williams Casey Williams
              Reporter:
              casey.williams Casey Williams
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support